Subject: [scim] Meeting notes from SCIM WG conf call 2014-04-16

From: "Morteza Ansari (moransar)" <[email-masked]>
Date: Thu, 17 Apr 2014 19:14:46 +0000

Present:
* Bjorn Aannestad (note taker)
* Kelly Grizzle
* Ian Glazer
* Morteza Ansari
* Phil Hunt
* Melvin Laguren

Notes:
Ticket #18: Still waiting on comments by end of this week.  Once that happens, then Morteza/Leif will close the thread.  All comments so far been in favor adopting the JSON patch.

Ticket #61 was handled as part of Phil's updates for 18, limiting characters that can be used in attribute names.   #71 and #72 are related to #61, both about localization issues.

Decision to make a consensus call for #61, so that #18 can also be closed. (Noted that JSON allows any string, but SCIM attribute names appear in URLs)

Tickets #43, #36: Dropping short-hand notation... consensus was confirmed already for #43.  Phil will change language to follow the RFC5646 as the HTTPbis WG does in section 3.1.3 of their draft. And, add language to recommend support both underscores and (the new) dashes for backwards compatibility.

Phil will fix #62, #63, #65 in a draft subsequent to the draft that contains changes related to #18.

Ticket #65 (Removing method overload header)   Kelly reports finding a need for the header when using a new Blackberry browser. It can't do a SCIM PATCH unless the overload header is supported. Kelly will add more explanation to the ticket.   However, based on earlier discussion we either have to use a registered method override, or remove it from the spec.   Referred to Julian and Leif for their opinions.

Ticket #73 - (Async support for long bulk operations) Discussion around need to address this now, or wait till its a problem.  Phil may
request comments from the mailing list.  Also, consideration must be made for what happens after a timed out HTTP operation. Discussion led to conclusion that bulk operations are valuable, and async operations should be a separate extension draft.

Ian Glazer is "taking the baton" from Chuck Mortimer, representing SalesForce.

---
Meeting recording:

Your recording is now available on the WebEx service site. Click the link below to play it:

https://go.webex.com/go/lsr.php?RCID=714d5648b0204e7ea05f6f43f9107b47

SCIM WG bi-weekly call-20140416 1810-1
Wednesday, April 16, 2014 11:10 am San Francisco Time
48 Minutes